# $Revision: 1.32 $, $Date: 2004/11/14 21:48:29 $
#
# Conditional build:
%bcond_without	gnome	# without GNOME support
#
Summary:	Eartraining program for GNOME
Summary(de):	Gehrbildungssoftware fr GNOME
Summary(pl):	Program do wiczenia suchu dla GNOME
Name:		solfege
Version:	2.1.4
Release:	3
License:	GPL v2+
Vendor:		Tom Cato Amundsen <tca@gnu.org>
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/solfege/%{name}-%{version}.tar.gz
# Source0-md5:	65e23a0e16ac4cd8d990216ed7a54873
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-fix.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-po.patch
URL:		http://solfege.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-devel
%{?with_gnome:BuildRequires:	libgtkhtml-devel >= 1.99.9}
BuildRequires:	libxslt-progs >= 1.0.31
BuildRequires:	lilypond
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-pygtk-devel >= 1.99.11
%{?with_gnome:BuildRequires:	python-gnome-devel >= 1.99.11}
BuildRequires:	swig >= 1.3
%{?with_gnome:Requires:	libgtkhtml >= 1.99.9}
Requires:	python-pygtk-gtk >= 1.99.11
%{?with_gnome:Requires:	python-gnome-gtkhtml >= 1.99.11}
%{?with_gnome:Requires:	python-gnome-ui >= 1.99.11}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solfege is an eartraining program for X written in python, using the
GTK+ and GNOME libraries. This is a development release, things might
be broken. See INSTALL file if you have problems running or installing
Solfege. Report your problems to solfege-devel@lists.sourceforge.net .

Eartraining is a big subject with many connections to music theory and
performance of music, so I won't even try to make "a complete
computerbased eartraining course". But I hope someone find this
software useful.

%description -l de
Solfege ist eine Gehrbildungssoftware geschrieben in Python fr X,
die GTK+ und GNOME Bibliotheken verwendet. Es handelt sich hierbei um
eine Entwicklerversion, manches mag noch Fehler haben. Dem INSTALL
Text knnen Informationen entnommen werden, falls Probleme bei der
Installation oder der Ausfhrung auftreten sollten. Probleme knnen
solfege-devel@lists.sourceforge.net mitgeteilt werden.

Gehrbildung stellt eine groe Anforderung an viele Bereiche der
Musiktheorie dar, weshalb ich nicht versucht habe, einen vollstndigen
Computerkurs Gehrbildung zu erstellen. Ich hoffe aber, dass so
mancher diese Software hilfreich findet.

%description -l pl
Solfege jest programem do wiczenia suchu dla X napisanym w Pythonie,
uywajcym bibliotek GTK+ i GNOME. Jest w stadium rozwoju, cz
funkcji moe nie dziaa prawidowo - problemy zgaszaj na adres
solfege-devel@lists.sourceforge.net .

wiczenie suchu to rozlegy temat, z wieloma powizaniami do teorii
muzyki i jej wykonywania, wic autor nawet nie prbowa stworzy
kompletnego narzdzia. Ale ma nadziej, e komu si przyda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po

# different version of lilypond req'd? doesn't work with 2.2.[1-4]
%{__perl} -pi -e 's/--outdir/--output/' online-docs/Makefile

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	PYTHON=/usr/bin/python \
	--enable-docbook-stylesheet=/usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl \
	%{!?with_gnome:--without-gtkhtml --without-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	applnkdir=%{_desktopdir}

%{!?with_gnome:install -D solfege.desktop $RPM_BUILD_ROOT%{_desktopdir}/solfege.desktop}
%{!?with_gnome:install -D graphics/solfege.png $RPM_BUILD_ROOT%{_pixmapsdir}/solfege.png}

# no *.py[co] now
#find $RPM_BUILD_ROOT%{_datadir}/solfege -name '*.py' | xargs rm -f

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ README TODO changelog
%attr(755,root,root) %{_bindir}/solfege
%attr(755,root,root) %{_libdir}/solfege
%dir %{_datadir}/solfege
%dir %{_datadir}/solfege/%{version}
%{_datadir}/solfege/%{version}/example-lesson-files
%{_datadir}/solfege/%{version}/feta
%{!?with_gnome:%{_datadir}/solfege/%{version}/gnomeemu}
%{_datadir}/solfege/%{version}/graphics
%{_datadir}/solfege/%{version}/lesson-files
%{_datadir}/solfege/%{version}/mpd
%{_datadir}/solfege/%{version}/soundcard
%{_datadir}/solfege/%{version}/src
%{_datadir}/solfege/%{version}/default.config
%{_datadir}/solfege/%{version}/solfege.gtkrc
%dir %{_datadir}/solfege/%{version}/online-docs
%{_datadir}/solfege/%{version}/online-docs/C
%{_datadir}/solfege/%{version}/online-docs/png
%lang(es_MX) %{_datadir}/solfege/%{version}/online-docs/es_MX
# temporarily disabled - waits for update
#%lang(nl) %{_datadir}/solfege/%{version}/online-docs/nl
%lang(nb) %{_datadir}/solfege/%{version}/online-docs/no
%lang(ru) %{_datadir}/solfege/%{version}/online-docs/ru
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/solfege*
%{_pixmapsdir}/solfege.png
%{_desktopdir}/solfege.desktop
%{_mandir}/man1/solfege.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: solfege.spec,v $
Revision 1.32  2004/11/14 21:48:29  havner
- rel up for rebuild with python-pygtk

Revision 1.31  2004/11/04 11:59:38  paladine
- rel 2 for fixed desktop patch

Revision 1.30  2004/09/04 16:00:24  qboosh
- updated to 2.1.4, removed obsolete exdata patch

Revision 1.29  2004/08/04 06:23:34  ankry
- i18n fixes (-po patch), rel. 3

Revision 1.28  2004/07/14 20:36:27  ankry
- fixed license, updated desktop, rel. 2

Revision 1.27  2004/07/06 18:44:32  qboosh
- updated to 2.1.3, updated DESTDIR patch, added exdata patch

Revision 1.26  2004/03/27 19:31:54  qboosh
- updated to 2.1.1, updated patches, switched to desktopdir

Revision 1.25  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.24  2003/12/03 00:09:28  qboosh
- updated to 2.1.0, new-style bcond

Revision 1.23  2003/10/23 18:42:58  qboosh
- 2.0.3

Revision 1.22  2003/10/08 19:20:01  qboosh
- updated to 2.0.2

Revision 1.21  2003/09/07 20:03:42  qboosh
- 2.0.0, updated DESTDIR and fix patches

Revision 1.20  2003/08/24 19:07:22  qboosh
- up to 1.9.99, more fixes added to fix patch
- removed *.py

Revision 1.19  2003/07/17 23:28:02  qboosh
- fixed build without gnome

Revision 1.18  2003/07/16 09:05:23  qboosh
- up to 1.9.11

Revision 1.17  2003/07/11 08:42:48  qboosh
- BR: libxslt-progs 1.0.31 (now xsltproc doesn't crash)

Revision 1.16  2003/07/03 13:00:35  qboosh
- fixed build with GNOME, more deps

Revision 1.15  2003/07/01 22:14:40  qboosh
- up to 1.9.10, added fix and DESTDIR patches

Revision 1.14  2003/05/28 13:01:59  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.11  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.10  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.9  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.8  2002/11/29 22:46:38  ankry
- massive attack: new %%doc

Revision 1.7  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/18 12:02:04  qboosh
- typo, switched to ftp, pl translations

Revision 1.4  2001/05/02 21:51:29  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2001/02/25 19:22:12  kloczek
- updated to 0.7.31,
- fixed %build: now package compiles but still isn't finished %install and
  %files probably also is not complet.

Revision 1.2  2001/01/23 01:21:00  kloczek
- patrialy rewrited but seems source tar ball not ready jet for regular release.
